<p><img src="">

<?php // incluimos la libreria fpdf
require('fpdf/fpdf.php');
// incluimos la conexion a la base de datos
require('db.php');


//Paso 2:Le insertamos una clase que tiene las siguientes funciones: crear tablas, encabezado y pie. 
//Esta clase fue tomada de los tutoriales de la página oficial de la librería FPDF. 
//Ya que la función multiCell no permite ordenarse por tablas y la función Cell solo funciona en un solo renglón y no mostraría cuando hay muchos más caracteres


class PDF extends FPDF { var $widths; var $aligns; function SetWidths($w) {    $this->widths=$w;
}
 
function SetAligns($a)
{
$this->aligns=$a;
}
 
function Row($data)
{
$nb=0;
for($i=0;$iNbLines($this->widths[$i],$data[$i]));
$h=4*$nb;
$this->CheckPageBreak($h);
for($i=0;$iwidths[$i];
$a=isset($this->aligns[$i]) ? $this->aligns[$i] : 'L';
$x=$this->GetX();
$y=$this->GetY();
$this->Rect($x,$y,$w,$h);
$this->MultiCell($w,4,$data[$i],0,$a);
$this->SetXY($x+$w,$y);
}
$this->Ln($h);
}
 
function CheckPageBreak($h)
{
if($this->GetY()+$h>$this->PageBreakTrigger)
$this->AddPage($this->CurOrientation);
}
 
function NbLines($w,$txt)
{
$cw=&$this->CurrentFont['cw'];
if($w==0)
$w=$this->w-$this->rMargin-$this->x;
$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
$s=str_replace("\r",'',$txt);
$nb=strlen($s);
if($nb>0 and $s[$nb-1]=="\n")
$nb--;
$sep=-1;
$i=0;
$j=0;
$l=0;
$nl=1;
while($i$wmax)
{
if($sep==-1)
{
if($i==$j)
$i++;
}
else
$i=$sep+1;
$sep=-1;
$j=$i;
$l=0;
$nl++;
}
else
$i++;
}
return $nl;
}
 
function Header()
{
$this->SetFont('Arial','',10);
$this->Text(65,14,'Clinica el sol naciente',0,'C', 0);
$this->Ln(30);
}
 
function Footer()
{
$this->SetY(-15);
$this->SetFont('Arial','B',8);
$this->Cell(100,10,'Historial medico',0,0,'L');
}
}


//3. Recibir el id del paciente, para ello lo obtenemos mediante $_GET.
//$paciente= $_GET['id'];
		global $ref_costo;
		global $g_Nombre;
		global $g_Apellido;
		global $g_RFC;
				
		$COSTO_TOTAL = 0;
		$FOLIO 	= '';
		$CLAVE 	= '';
		$LIBRO 	= '';
		$FICHA 	= '';

$g_Nombre   = $_GET['nombre'];
$g_Apellido = $_GET['apellido'];
$g_RFC      = $_GET['rfc'];
$FOLIO      = $_GET['folio'];
$CLAVE      = $_GET['clave'];
$COSTO_TOTAL = $_GET['cuota'];
$FICHA      = $_GET['ficha'];
$g_Nombre   = strtr($g_Nombre,'+',' ');
$g_Apellido = strtr($g_Apellido,'+',' ');    
$urlimg     = 'ima/'.$CLAVE.'.gif';
    

//4. Mostrar los datos del paciente.
$pdf=new PDF('L','mm','Letter'); // vertical, milimetros y tamaño
$pdf->Open();
$pdf->AddPage(); // agregamos la pagina
$pdf->SetMargins(20,20,20); // definimos los margenes en este caso estan en milimetros
$pdf->Ln(10); // dejamos un pequeño espacio de 10 milimetros
 
// Realizamos la consulta
//$con = new DB;
//$pacientes = $con->conectar();
// $paciente contiene el id del paciente a consultar, obtiene los datos de la tabla pacientes
//$strConsulta = "SELECT * from pacientes where id_paciente =  '$paciente'";
//$pacientes = mysql_query($strConsulta);
//$fila = mysql_fetch_array($pacientes);

// listamos los datos con Cell
$pdf->SetFont('Arial','',12); // definimos el tipo de letra y el tamaño
// Cell esta formado por (posición de inicio, ancho, texto, borde, cambio de linea, posición del texto)
$pdf->Cell(0,6,'FOLIO: '.$FOLIO,0,1);
$pdf->Cell(0,6,'Nombre: '.$g_Nombre.' '.$g_Apellido,0,1);
$pdf->Cell(0,6,'RF: '.$g_RFC,0,1);
//$pdf->Cell(0,6,'Domicilio: '.$fila['domicilio'],0,1);
$pdf->Ln(10);
$pdf->Cell(0,6,'CLAVE DE ACCESO: '.$CLAVE,0,1);
//$pdf->Cell(0,6,'Domicilio: '.$fila['domicilio'],0,1);

/ Para realizar esto utilizaremos la funcion Row()
$pdf->SetFont('Arial','',10);
// tipo y tamaño de letra
$pdf->SetWidths(array(60, 60, 60, 60));
// Definimos el tamaño de las columnas, tomando en cuenta que las declaramos en milimetros, ya que nuestra hoja esta en milimetros.
$pdf->Row(array('FECHA', 'MEDICO', 'CONSULTORIO', 'DIAGNOSTICO'));
// creamos nuestra fila con las columnas fecha(fecha de la visita al medico), medico(nombre del medico que nos atendio), consultorio y el diagnostico en esa visita.



pdf->Output();
?>